首页 新闻 搜索 专区 学院

用visual studio 2010打开用visual studio 2008做的项目时,出现问题。

0
悬赏园豆:15 [已解决问题] 解决于 2010-08-31 07:01

用visual studio 2010打开用visual studio 2008做的项目时,出现了问题,提示没有安装net 3.5

Framework sp1 ,请问我需要重新安装net 3.5吗?我看了一下安装目录,里面都装了啊.大家有没有遇到过这样的问题啊?谢谢!

yang rui的主页 yang rui | 初学一级 | 园豆:125
提问于:2010-08-28 23:15
< >
分享
最佳答案
0

如果你想在VS 2008 上面打开的话, 去下个 NET3.5 SP1 来,安装后就可以,

下载地址:http://www.microsoft.com/downloads/details.aspx?displaylang=zh-cn&FamilyID=ab99342f-5d1a-413d-8319-81da479ab0d7

如果你想用VS2010 打开的话,改一下 解决方案文件:用记事本打开

 

把 Version 10.00  改成  Version 11.00

把 # Visual Studio 2008 改成 # Visual Studio 2010

保存,再双击打开就会提示你转换、转换后就可以了。

收获园豆:10
HUHU慈悲 | 大侠五级 |园豆:9973 | 2010-08-29 17:36
其他回答(4)
0

是的。因为你的电脑里没有安装.NET3.5,而VS2010自带的只有4.0,所以会出现这样的问题。

如果想要开发4.0以下的程序还是建议安装下3.5.

kyo-yo | 园豆:5587 (大侠五级) | 2010-08-28 23:40
0

你下载一个 .net framework 3.5 sp1 安装,不是重新安装 .net framework 3.5.

另外,你也可以手动修改解决方案文件和项目文件为.net framework 4.0版。

收获园豆:5
Launcher | 园豆:45045 (高人七级) | 2010-08-28 23:45
0

装了3.5应该没事了。

天亮说晚安 | 园豆:205 (菜鸟二级) | 2010-08-28 23:56
0

再打开的时候,提示你是否升级,你升级了为4.0就没事了。

Astar | 园豆:40805 (高人七级) | 2010-08-29 08:55
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册